Bug 1576192 - [Brick-Mux] Brick process can be crash at the time of call xlator cbks
Summary: [Brick-Mux] Brick process can be crash at the time of call xlator cbks
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Mohit Agrawal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 05:58 UTC by Mohit Agrawal
Modified: 2020-02-20 04:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 04:43:35 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Mohit Agrawal 2018-05-09 05:58:41 UTC
Description of problem:
For brick multiplexing environment at the time of cleanup resources for brick, brick process 
can be crash at the time of call xlator cbks if xlator private is already freed in fini but cbk is not called yet.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2018-05-09 06:14:27 UTC
REVIEW: https://review.gluster.org/19941 (gluster: Brick process can be crash at the time of call xlator cbks) posted (#6) for review on master by MOHIT AGRAWAL

Comment 2 Amar Tumballi 2019-05-11 11:21:30 UTC
Patch is in Abandoned state, and hence its good to mark bug as NEW again.

Comment 3 Mohit Agrawal 2020-02-20 04:43:35 UTC
Most of the race scenarios are fixed so now this bug is not valid for brick_mux.


Note You need to log in before you can comment on or make changes to this bug.